Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.aegis.type.mtom
Class XOPType

    java.lang.Object
      org.codehaus.xfire.aegis.type.Type
          org.codehaus.xfire.aegis.type.mtom.XOPType

All Implemented Interfaces:
  SchemaType

    public abstract class XOPType

extends Type

Author:
  Dan Diephouse

Field Summary
`static java.lang.String` | `XML_MIME_NS`
`static java.lang.String` | `XOP_NS`

Constructor Summary
`XOPType()`

Method Summary
`Attachment` | `getAttachment(java.lang.String id, MessageContext context)`
`protected java.lang.String` | `getURI(java.lang.String value)` Parse the URI from the `xop:Include` href value.
`java.lang.Object` | `readObject(MessageReader reader, MessageContext context)`
`void` | `writeObject(java.lang.Object object, MessageWriter writer, MessageContext context)`

Methods inherited from class org.codehaus.xfire.aegis.type.Type
`equals, getDependencies, getSchemaType, getTypeClass, getTypeMapping, hashCode, isAbstract, isComplex, isNillable, isWriteOuter, setAbstract, setNillable, setSchemaType, setTypeClass, setTypeMapping, writeSchema`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XOP_NS

    public static final java.lang.String XOP_NS

See Also:
  Constant Field Values

### XML_MIME_NS

    public static final java.lang.String XML_MIME_NS

See Also:
  Constant Field Values

Constructor Detail

### XOPType

    public XOPType()

Method Detail

### readObject

    public java.lang.Object readObject(MessageReader reader,
                                       MessageContext context)
                                throws XFireFault

  Specified by:
    `readObject` in class `Type`
  Throws:
    `XFireFault`

### getURI

    protected java.lang.String getURI(java.lang.String value)

  Parse the URI from the `xop:Include` href value.

  Parameters:
    `value` -
  Returns:

### getAttachment

    public Attachment getAttachment(java.lang.String id,
                                    MessageContext context)
                             throws XFireFault

  Throws:
    `XFireFault`

### writeObject

    public void writeObject(java.lang.Object object,
                            MessageWriter writer,
                            MessageContext context)
                     throws XFireFault

  Specified by:
    `writeObject` in class `Type`
  Throws:
    `XFireFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.